summaryrefslogtreecommitdiffstats
path: root/development/Catch
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2017-01-04 12:04:34 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-04 12:04:34 +0700
commit5ff5a7186ad1d6d55e8e8a123f16c85803e9f810 (patch)
tree7caeadd523c54aa0cbd8e5d7ce81c1f5ea3426d6 /development/Catch
parent6e59605d72dcfa62600b5f598fcce00cd81e9c44 (diff)
downloadslackbuilds-5ff5a7186ad1d6d55e8e8a123f16c85803e9f810.tar.gz
slackbuilds-5ff5a7186ad1d6d55e8e8a123f16c85803e9f810.tar.xz
development/Catch: Added (Unit-Test, TDD, and BDD C++ Framework).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/Catch')
-rw-r--r--development/Catch/Catch.SlackBuild84
-rw-r--r--development/Catch/Catch.info10
-rw-r--r--development/Catch/README21
-rw-r--r--development/Catch/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/development/Catch/Catch.SlackBuild b/development/Catch/Catch.SlackBuild
new file mode 100644
index 0000000000..6b7642a725
--- /dev/null
+++ b/development/Catch/Catch.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for Catch
+
+# Copyright 2017 Andre Barboza, Belo Horizonte - Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Catch
+VERSION=${VERSION:-1.5.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/include/Catch
+cp -rvf include/* $PKG/usr/include/Catch
+cp -vf single_include/catch.hpp $PKG/usr/include
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -raf LICENSE_1_0.txt README.md docs/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/Catch/Catch.info b/development/Catch/Catch.info
new file mode 100644
index 0000000000..7e38d379b5
--- /dev/null
+++ b/development/Catch/Catch.info
@@ -0,0 +1,10 @@
+PRGNAM="Catch"
+VERSION="1.5.9"
+HOMEPAGE="https://github.com/philsquared/Catch"
+DOWNLOAD="https://github.com/philsquared/Catch/archive/v1.5.9/Catch-1.5.9.tar.gz"
+MD5SUM="cfee7bfd5856641e118b5fb40223a7af"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
diff --git a/development/Catch/README b/development/Catch/README
new file mode 100644
index 0000000000..6023fbb3c9
--- /dev/null
+++ b/development/Catch/README
@@ -0,0 +1,21 @@
+Catch stands for C++ Automated Test Cases in Headers and is a
+multi-paradigm automated test framework for C++ and Objective-C
+(and, maybe, C). It is implemented entirely in a set of header
+files, but is packaged up as a single header for extra convenience.
+
+Key features:
+
+ - Really easy to get started. Just download catch.hpp,
+ #include it and you're away.
+ - No external dependencies. As long as you can compile
+ C++98 and have a C++ standard library available.
+ - Write test cases as, self-registering, functions or
+ methods.
+ - Divide test cases into sections, each of which is run
+ in isolation (eliminates the need for fixtures!)
+ - Use BDD-style Given-When-Then sections as well as
+ traditional unit test cases.
+ - Only one core assertion macro for comparisons.
+ Standard C/C++ operators are used for the comparison -
+ yet the full expression is decomposed and lhs and rhs
+ values are logged.
diff --git a/development/Catch/slack-desc b/development/Catch/slack-desc
new file mode 100644
index 0000000000..e7f8d34e4c
--- /dev/null
+++ b/development/Catch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Catch: Catch (Unit-tests, TDD and BDD C++ framework)
+Catch:
+Catch: Catch stands for C++ Automated Test Cases in Headers and is a
+Catch: multi-paradigm automated test framework for C++ and Objective-C
+Catch: (and, maybe, C). It is implemented entirely in a set of header
+Catch: files, but is packaged up as a single header for extra convenience.
+Catch:
+Catch:
+Catch:
+Catch: https://github.com/philsquared/Catch
+Catch: